PAPI_hw_info_t(3)

NAME
PAPI_hw_info_t - Hardware info structure.

SYNOPSIS

#include <papi.h>

  Data Fields

int ncpu
int threads
int cores
int sockets
int nnodes
int totalcpus
int vendor
char vendor_string [128]
int model
char model_string [128]
float revision
int cpuid_family
int cpuid_model
int cpuid_stepping
int cpu_max_mhz
int cpu_min_mhz
PAPI_mh_info_t mem_hierarchy
int virtualized
char virtual_vendor_string [128]
char virtual_vendor_version [128]
float mhz
int clock_mhz
int reserved [8]

Field Documentation

  int PAPI_hw_info_t::clock_mhz
Deprecated

  int PAPI_hw_info_t::cores
Number of cores per socket

  int PAPI_hw_info_t::cpu_max_mhz
Maximum supported CPU speed

  int PAPI_hw_info_t::cpu_min_mhz
Minimum supported CPU speed

  int PAPI_hw_info_t::cpuid_family
cpuid family

  int PAPI_hw_info_t::cpuid_model
cpuid model

  int PAPI_hw_info_t::cpuid_stepping
cpuid stepping

  PAPI_mh_info_t PAPI_hw_info_t::mem_hierarchy
PAPI memory hierarchy description

  float PAPI_hw_info_t::mhz
Deprecated

  int PAPI_hw_info_t::model
Model number of CPU

  char PAPI_hw_info_t::model_string[128]
Model string of CPU

  int PAPI_hw_info_t::ncpu
Number of CPUs per NUMA Node

  int PAPI_hw_info_t::nnodes
Total Number of NUMA Nodes

  float PAPI_hw_info_t::revision
Revision of CPU

  int PAPI_hw_info_t::sockets
Number of sockets

  int PAPI_hw_info_t::threads
Number of hdw threads per core

  int PAPI_hw_info_t::totalcpus
Total number of CPUs in the entire system

  int PAPI_hw_info_t::vendor
Vendor number of CPU

  char PAPI_hw_info_t::vendor_string[128]
Vendor string of CPU

  char PAPI_hw_info_t::virtual_vendor_string[128]
Vendor for virtual machine

  char PAPI_hw_info_t::virtual_vendor_version[128]
Version of virtual machine

  int PAPI_hw_info_t::virtualized
Running in virtual machine

Author

Generated automatically by Doxygen for PAPI from the source code.